%define mod_name Mozilla-CA

Name:           perl-%{mod_name}
Epoch:          1
Version:        20240313
Release:        1
Summary:        Mozilla's CA cert bundle in PEM format
License:        MPLv2.0
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABH/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch

# For check failure
Patch0:         Mozilla-CA-20240313-Redirect-to-ca-certificates-bundle.patch

BuildRequires:  make coreutils perl perl-generators perl-PathTools perl-ExtUtils-MakeMaker
Requires:       perl perl-PathTools ca-certificates

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate
Authority certificates in a form that can be consumed by modules
and libraries based on OpenSSL.

%package help
Summary: Man page for Mozilla::CA
BuildArch: noarch

%description help
This package provide %{summary}.

%prep
%autosetup -n %{mod_name}-%{version} -p1
rm -vf lib/Mozilla/CA/cacert.pem mk-ca-bundle.pl
sed -i '/^mk-ca-bundle.pl$/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install

%check
make test

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Fri Mar 15 2024 wangshuo <wangshuo@kylinos.cn> - 1:20240313-1
- Upgrade version to 20240313

* Tue Jan 30 2024 zhangyao <zhangyao108@huawei.com> - 1:20231213-1
- Upgrade version to 20231213
- Update certificates
- Stop installing mk-ca-bundle.pl script
- Switched tests from Test to Test::More

* Wed Oct 26 2022 wangyuhang <wangyuhang27@huawei.com> - 1:20211001-2
- define mod_name to opitomize the specfile

* Tue Dec 21 2021 shangyibin <shangyibin1@huawei.com> - 1:20211001-1
- update to 20211001-1

* Wed Jul 29 2020 shixuantong <shixuantong@huawei.com> - 1:20200520-1
- update to 20200520-1

* Tue Feb 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:20180117-6
- add patch for test failure

* Wed Jan 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:20180117-5
- cancel make check

* Sun Jan 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:20180117-4
- Delete redundant file

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:20180117-3
- Adjust requires

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:20180117-2
- Delete redundant information

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:20180117-1
- Package init
